Page MenuHomePhabricator

Error creating thumbnail: "Warning: File has insufficient data for an image."
Closed, ResolvedPublic

Description

After uploading a particular pdf file (of size 4MB) the message

"Error creating thumbnail:

  • Warning: File has insufficient data for an image."

appears, where the "warning" line is repeated 5 times. The message closes with "convert: missing an image filename `[...]/images/tmp/transform_[...]-1.jpg'."
However, if I click on "Full resolution", the pdf file can be displayed by firefox/acroread. But there is no thumbnail/preview.

What could be the reason for this? (What do I have to do to isolate the problem?)

Other pdf files don't make such problems.


Version: unspecified
Severity: normal
OS: Linux
Platform: PC

Details

Reference
bz48178

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:15 AM
bzimport set Reference to bz48178.
bzimport added a subscriber: Unknown Object (MLST).
seth created this task.May 6 2013, 8:32 PM
Reedy added a comment.May 6 2013, 8:35 PM

Can you provide a copy of the file for testing? Otherwise it's somewhat stabbing in the dark

seth added a comment.May 6 2013, 8:56 PM

I understand that, but unfortunately I'm not allowed to do that. Maybe I can ask the user to generate a similar pdf but filled with whitespace.

pdfinfo said:
Creator: Adobe InDesign CS5.5 (7.5)
Producer: Adobe PDF Library 9.9
CreationDate: Fri Jan 4 15:44:24 2013
ModDate: Fri Jan 4 15:44:37 2013
Tagged: yes
Pages: 1
Encrypted: no
Page size: 1683.78 x 2383.94 pts
File size: 4229845 bytes
Optimized: yes
PDF version: 1.4

Reedy added a comment.May 6 2013, 9:30 PM

(In reply to comment #2)

I understand that, but unfortunately I'm not allowed to do that. Maybe I can
ask the user to generate a similar pdf but filled with whitespace.

If you can still duplicate the error on that file, that would be fine

seth added a comment.May 21 2013, 6:40 PM

pdf file that can't be previewed by pdfhandler extension

ok, here's an example file that leads to such an error.

Attached:

seth: Which MediaWiki version is this about?

seth added a comment.May 26 2013, 10:09 AM

MediaWiki 1.20.2
PHP 5.3.3 (apache2handler)

(In reply to comment #6)

MediaWiki 1.20.2

Unrelated to this specific bug but I highly recommend upgrading to the latest 1.20.x.

Problem is reproducible with testcase in comment 4 on http://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

Message: "The upload succeeded, but the server could not get a preview thumbnail"

Same message in bug 48700 comment 3.

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 30 2015, 10:11 PM

The file thumbnails correctly for me locally using Ghostscript 9.15.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:34 PM
matmarex changed the task status from Open to Stalled.Jul 20 2016, 3:23 PM

Problem is reproducible with testcase in comment 4 on http://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard
Message: "The upload succeeded, but the server could not get a preview thumbnail"
Same message in bug 48700 comment 3.

I can no longer reproduce this on http://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard or https://commons.wikimedia.org/wiki/Special:UploadWizard. The file thumbnail is shown correctly.

Aklapper closed this task as Resolved.Nov 16 2017, 1:08 AM

Closing as this cannot be reproduced anymore nowadays. Please reopen if you can still reproduce.